cancel
Showing results for 
Search instead for 
Did you mean: 

Netskope Client Post install failures on macOS 12.3.1

mdantona
New Contributor II

 

Hey Community, 

 

it seems that since version 93.0.1 we're not able to complete installations of the netskope client. Here's a snippet of the post install error from the macOS install.log.


2022-05-04 13:28:10-07 NNN-NNNN-NNNNNNN installer[1929]: install:didFailWithError:Error Domain=PKInstallErrorDomain Code=112 "An error occurred while running scripts from the package “NSClient_93.0.1.944.pkg”." UserInfo={NSFilePath=./postinstall, NSURL=file:///Library/Application%20Support/JAMF/Downloads/NSClient_93.0.1.944.pkg#STAgent_unsigned.pkg, PKInstallPackageIdentifier=com.netskope.STAgent.pkg, NSLocalizedDescription=An error occurred while running scripts from the package “NSClient_93.0.1.944.pkg”.}

 

Is anyone else struggling with this.? Right now all of our new users are unable to use Netskope. We escalated this to Netskope support two and a half weeks ago (4/19) without resolution. Does anyone here have any insight?

1 ACCEPTED SOLUTION
mdantona
New Contributor II

It turned out that the JAMF script needed to install this software had changed without our knowledge. We didn't receive any notification from netskope when the client requirements changed. the proper script version for version 93.x of the client is from Novemeber of 2021 (JAMFScript_Nov2021.zip).

View solution in original post

9 REPLIES 9
mdantona
New Contributor II

It turned out that the JAMF script needed to install this software had changed without our knowledge. We didn't receive any notification from netskope when the client requirements changed. the proper script version for version 93.x of the client is from Novemeber of 2021 (JAMFScript_Nov2021.zip).

I saw they just posted another script without my knowledge from April.  We are also having issues with the Jamf deployment.  Can you tell me what client version you are using and what script as well?

JAMFScript_Nov2021.zip is the package you want (found here). They actually cautioned me from using the one from April. 

thanks a ton!  Do you happen to know the client version you are using?  As that seems to matter as well.

Yes, it does. Netskope doesn't make this very clear. The version we are distributing via JAMF is NSClient_93.0.1.944.pkg

pretty sure i have been through this with the NOV script and the latest golden release and still getting the "Installation Failed to download the configuration, check your internet connection and try again.

Make sure that you update the variables that you are passing. These have changed. The tenant URL is now different as well as the "token" you're suppose to pass. This was ALSO not communicated to us.

do you know what the new tenant url is and what token ?  We are currently using our Rest API token for this install.

see: https://docs.netskope.com/en/jamf.html 

 

Parameter 4: Your addon URL.

If your tenant URL is https://corp.goskope.com, then the addon URL is addon-corp.goskope.com.

Parameter 5: Your Organization ID.

Parameter 6: Enter the keyword upn (in lowercase).